Bug 1396972 - CVE-2016-9393 jasper: missing sanity checks on the data in SIZ marker segment
Summary: CVE-2016-9393 jasper: missing sanity checks on the data in SIZ marker segment
Keywords:
Status: CLOSED DUPLICATE of bug 1396971
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1396986 1396987 1396988 1396989
Blocks: 1314477
TreeView+ depends on / blocked
 
Reported: 2016-11-21 10:09 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
28 users (show)

Fixed In Version: jasper 1.900.17
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-29 21:13:13 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-11-21 10:09:05 UTC
There were missing sanity checks in jpc_siz_getparms.

Upstream patch:

https://github.com/mdadams/jasper/commit/f7038068550fba0e41e1d0c355787f1dcd5bf330

CVE assignment:

http://seclists.org/oss-sec/2016/q4/441

Comment 1 Adam Mariš 2016-11-21 10:34:34 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396987]
Affects: epel-7 [bug 1396989]

Comment 2 Adam Mariš 2016-11-21 10:34:54 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396986]
Affects: epel-5 [bug 1396988]

Comment 3 Tomas Hoger 2017-03-29 21:13:13 UTC

*** This bug has been marked as a duplicate of bug 1396971 ***


Note You need to log in before you can comment on or make changes to this bug.